% Solution of the integral within equation (6.29) and (4.5)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 

function F = bow();

% INPUT VALUES: Coordinates for half of the bow area

xy=[0 24;
    2 24;
    4 23.9;
    6 23.85;
    8 23.75;
    10 23.7;
    12 23.5;
    14 23.35;
    16 23.1;
    18 22.9;
    20 22.6;
    22 22.3;
    24 21.9;
    26 21.5;
    28 20.95;
    30 20.45;
    32 19.85;
    33 19.55;
    34 19.1;
    35 18.8;
    36 18.45; 
    37 18.05;
    38 17.65;
    40 16.65;
    42 15.6;
    44 14.6;
    46 13.35;
    48 11.95;
    50 10.45;
    52 8.75;
    54 6.85;
    55 5.8;
    56 4.7;
    57 3.4;
    58 2;
    59 0];

dxq = 0.1;                          % Step in the x - direction
xq  = 0:dxq:59;                     % x-coordinates from 0 to 59, step=0.1                                                     
yq = interp1(xy(:,1),xy(:,2),xq);   % Interpolation

diff_yq   = diff(yq)/dxq;           % y derived with respect to x

l_diff_yq = length(diff_yq);

theta = atan(-diff_yq);             % Calculates the angle theta        

ds  = sqrt(1+diff_yq.^2);           % Expresses the bow arc

n1  = sin(theta);                    %Gives the n1 (decomposed n) 


dF  = sin(theta).^2.*n1.*ds;         

% Numerical intergration adopting the trapezoidal rule.
                                   
F   = 2*trapz(xq(1:l_diff_yq),dF); 