clear all
close all

% Script for plotting the ITTC spectrum
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% INPUT Spectral data
T  = [4.86,3.465,3.024,2.156,1,2.079]; % Mean wave periods
H  = [1.5,2,1.8];

%% 



freqs = 0.6:0.1:5;      % Frequency range from 0.6 to 5, step = 0.1


for k = 1:length(H);
    Hs = H(k);
    for j = 1:length(T);
        T01 = T(j);
        for i = 1:length(freqs)
            w = freqs(i);
            % ITTC spectrum as a function of omega
            Sw(i,j,k)  = 172.8*Hs^2/T01^4*w^(-5)*exp(-691/T01^4*w^-4);
        end
    end
end

% Plots the ITTC spectrum
hold on
plot(freqs,Sw(:,1,1),'g',freqs,Sw(:,2,1),'g*-');
plot(freqs,Sw(:,3,2),'r',freqs,Sw(:,4,2),'r*-');
plot(freqs,Sw(:,5,3),'b',freqs,Sw(:,6,3),'b*-');
title('Spectrum');
ylabel('S(w)');
xlabel('Wave frequency [rad/s]');
legend('H=1.5 T=4.86','H=1.5 T=3.465',...
    'H=2 T=3.024','H=2 T=2.156',...
'H=1.8 T=2.916','H=1.8 T=2.079');




